## ros-foxy-raspimouse 1.1.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(raspimouse)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_lifecycle REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(std_msgs REQUIRED)
find_package(std_srvs REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(raspimouse_msgs REQUIRED)

include_directories(include)

add_library(raspimouse_component SHARED src/raspimouse_component.cpp)
target_compile_definitions(raspimouse_component PRIVATE "RASPIMOUSE_BUILDING_DLL")
ament_target_dependencies(raspimouse_component
  rclcpp
  rclcpp_lifecycle
  rclcpp_components
  std_msgs
  std_srvs
  geometry_msgs
  nav_msgs
  tf2
  tf2_ros
  raspimouse_msgs)
rclcpp_components_register_nodes(raspimouse_component "raspimouse::Raspimouse")

add_executable(raspimouse src/raspimouse.cpp)
target_link_libraries(raspimouse raspimouse_component)
ament_target_dependencies(raspimouse
  rclcpp
  rclcpp_lifecycle
  class_loader
  std_msgs
  std_srvs
  geometry_msgs
  nav_msgs
  tf2
  tf2_ros
  raspimouse_msgs)

ament_export_targets(export_raspimouse_component HAS_LIBRARY_TARGET)

ament_export_dependencies(rosidl_default_runtime)
ament_export_dependencies(rclcpp)
ament_export_dependencies(rclcpp_lifecycle)
ament_export_dependencies(rclcpp_components)
ament_export_dependencies(std_msgs)
ament_export_dependencies(std_srvs)
ament_export_dependencies(geometry_msgs)
ament_export_dependencies(nav_msgs)
ament_export_dependencies(tf2)
ament_export_dependencies(tf2_ros)
ament_export_dependencies(raspimouse_msgs)

ament_export_include_directories(include)
ament_export_libraries(raspimouse_component)

install(
  DIRECTORY include/
  DESTINATION include
)

install(DIRECTORY
  launch
  config
  DESTINATION share/${PROJECT_NAME}/
)

install(
  TARGETS raspimouse_component
  EXPORT export_raspimouse_component
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
  INCLUDES DESTINATION include)
install(TARGETS
  raspimouse
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()
endif()

ament_package()

=== debian/changelog ===
ros-foxy-raspimouse (1.1.0-4focal) focal; urgency=high

  * Add authors to package.xml
  * トピックpublish周波数とフレームIDを変更するパラメータを追加 (#42 <https://github.com/rt-net/raspimouse2/issues/42>)
  * ノードの実行を簡単にするためlaunchファイルとconfigファイルを追加 #41 <https://github.com/rt-net/raspimouse2/issues/41>
  * Add initial_motor_power param (#39 <https://github.com/rt-net/raspimouse2/issues/39>)
  * パラメータの追加（#35 <https://github.com/rt-net/raspimouse2/issues/35>） (#38 <https://github.com/rt-net/raspimouse2/issues/38>)
  * パラメータの追加 （#34 <https://github.com/rt-net/raspimouse2/issues/34>） (#36 <https://github.com/rt-net/raspimouse2/issues/36>)
  * Contributors: Shota Aoki, Shuhei Kozasa

 -- RT Corporation <shop@rt-net.jp>  Wed, 27 Jul 2022 15:00:00 -0000

ros-foxy-raspimouse (1.0.2-4focal) focal; urgency=high

  * Update for foxy (#29 <https://github.com/rt-net/raspimouse2/issues/29>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Mon, 07 Dec 2020 15:00:00 -0000

ros-foxy-raspimouse (1.0.1-4focal) focal; urgency=high

  * Fix documents of release 1.0.0 (#23 <https://github.com/rt-net/raspimouse2/issues/23>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Tue, 09 Jun 2020 15:00:00 -0000

ros-foxy-raspimouse (1.0.0-4focal) focal; urgency=high

  * Update CMakeLists.txt for exporting include dir (#21 <https://github.com/rt-net/raspimouse2/issues/21>)
  * Fix package.xml (#20 <https://github.com/rt-net/raspimouse2/issues/20>)
  * Add on_shutdown callback (#17 <https://github.com/rt-net/raspimouse2/issues/17>)
  * Contributors: Shota Aoki

 -- RT Corporation <shop@rt-net.jp>  Sun, 07 Jun 2020 15:00:00 -0000

ros-foxy-raspimouse (0.2.0-4focal) focal; urgency=high

  * Release 0.2.0 (#18 <https://github.com/rt-net/raspimouse2/issues/18>)
  * Change pulse counter for calculating odometry accurately (#16 <https://github.com/rt-net/raspimouse2/issues/16>)
  * Add lint check (#14 <https://github.com/rt-net/raspimouse2/issues/14>)
  * Update tf timestamp on use_pulse_counters_ == true (#6 <https://github.com/rt-net/raspimouse2/issues/6>)
  * invert switch status (#11 <https://github.com/rt-net/raspimouse2/issues/11>)
  * change to base_footprint (#5 <https://github.com/rt-net/raspimouse2/issues/5>)
  * Fix odom (#4 <https://github.com/rt-net/raspimouse2/issues/4>)
  * Re-enable tf (#3 <https://github.com/rt-net/raspimouse2/issues/3>)
  * Add Dashing support (#2 <https://github.com/rt-net/raspimouse2/issues/2>)
  * Add Crystal support (#1 <https://github.com/rt-net/raspimouse2/issues/1>)
  * Add readme
  * Adding sensors
  * Contributors: Daisuke Sato, Geoffrey Biggs, Shota Aoki, Shota Hirama, Yutaka Kondo

 -- RT Corporation <shop@rt-net.jp>  Thu, 21 May 2020 15:00:00 -0000

ros-foxy-raspimouse (0.1.0-4focal) focal; urgency=high

  * Initial commit
  * Contributors: Geoffrey Biggs

 -- RT Corporation <shop@rt-net.jp>  Thu, 06 Sep 2018 15:00:00 -0000

=== debian/control ===
Source: ros-foxy-raspimouse
Section: misc
Priority: optional
Maintainer: RT Corporation <shop@rt-net.jp>
Build-Depends: debhelper (>= 9.0.0), ros-foxy-ament-cmake, ros-foxy-ament-lint-auto <!nocheck>, ros-foxy-ament-lint-common <!nocheck>, ros-foxy-geometry-msgs, ros-foxy-lifecycle-msgs, ros-foxy-nav-msgs, ros-foxy-raspimouse-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-raspimouse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-foxy-geometry-msgs, ros-foxy-lifecycle-msgs, ros-foxy-nav-msgs, ros-foxy-raspimouse-msgs, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-rclcpp-lifecycle, ros-foxy-std-msgs, ros-foxy-std-srvs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-ros-workspace
Description: RaspiMouse ROS 2 node

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-raspimouse//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
